% AEM 4321 / EE 4231 
% Open Loop Control

% Vehicle Parameters
m = 2000;       % mass, kg
b = 20;         % wind drag coefficient, N*s/m
k = 40;         % throttle force constant, N/deg

% Part a: Simulate system with constant throttle
v0 = 0;         % initial velocity, m/s
u = 0;          % throttle, deg
Tf = 400;       % final simulation time, sec
sim('OpenLoopA',[0 Tf]);

figure(1);
plot(time,v);
xlabel('Time (sec)');
ylabel('Velocity (m/s)');
title('a) Constant Throttle');
grid on;

